#include <avr/io.h>

#define F_CPU 16000000UL

#include "irsnd.h"

void timer1_init(void)
{		
	// IRSND
	TCCR1B |= ((1 << WGM12) | (1 << CS10)); // | (1 << CS11)); // CTC Mode and Prescaler = 1 (no prescaler)
	OCR1A = ((F_CPU / F_INTERRUPTS) - 1); // Value to compare; 25-1
	TIMSK1 = (1 << OCIE1A);
	
}

/*---------------------------------------------------------------------------------------------------------------------------------------------------
 * timer 1 compare handler, called every 1/10000 sec
 *---------------------------------------------------------------------------------------------------------------------------------------------------
 */
ISR(TIMER1_COMPA_vect)
{
    (void) irsnd_ISR();	// call irsnd ISR
}

int main(void)
{
	IRMP_DATA data;
	
	irsnd_init();
	timer1_init();
	sei();

    while(1) {
		data.protocol = IRMP_NEC_PROTOCOL;
		data.address = 0x0004;
		data.command = 0x0045;
		data.flags = 0;
		
		irsnd_send_data(&data, TRUE);
		
		_delay_ms(1000);
    }
}